# Tests

## test_fwu_files

This test checks the contents of the firmware files against the values in the
file name. If firmware files do not yet contain this data, they can be entered
in an exception list.

### Exception list

In the file test_fwu_files.py can be entered in the list of the respective MD5
hash of the firmware file, whose file should not be checked for content.

```
skip_fwu_content_check = [
    "md5_hash_file1",
    "md5_hash_file2",
]
```

> You can generate the MD5 sum of a file by `md5 fw_00000_000.fwu`.
